﻿/*
MySQL Data Transfer
Source Host: localhost
Source Database: zf-konference
Target Host: localhost
Target Database: zf-konference
Date: 22.10.2007 0:28:30
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for articles
-- ----------------------------
CREATE TABLE `articles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `category_id` int(10) unsigned NOT NULL,
  `rewrite_string` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `content` text NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `category_id` (`category_id`),
  CONSTRAINT `articles_ibfk_1` FOREIGN KEY (`category_id`) REFERENCES `categories` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for categories
-- ----------------------------
CREATE TABLE `categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `rewrite_string` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `categories` VALUES ('1', 'php', 'PHP');
INSERT INTO `categories` VALUES ('2', 'java', 'Java');
INSERT INTO `categories` VALUES ('3', 'ajax', 'AJAX');
INSERT INTO `articles` VALUES ('1', '1', 'novinky-v-php6', 'Novinky v PHP6', 'Popis článku \"Novinky v PHP6\".', 'Obsah článku \"Novinky v PHP6\".', '2007-10-03');
INSERT INTO `articles` VALUES ('2', '2', 'autowiring-ve-spring-frameworku', 'Autowiring ve Spring Frameworku', 'Popis článku \"Autowiring ve Spring Frameworku\".', 'Obsah článku \"Autowiring ve Spring Frameworku\".', '2007-10-19');
INSERT INTO `articles` VALUES ('3', '3', 'zaklady-ajaxu', 'Základy AJAXu', 'Popis článku \"Základy AJAXu\".', 'Obsah článku \"Základy AJAXu\".', '2007-10-16');

